{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "TR_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = trCommentaire; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            columnName = "TR_ID_INTERNE"; 
            externalType = VARCHAR2; 
            name = trIdInterne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "TR_LIBELLE"; 
            externalType = VARCHAR2; 
            name = trLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            columnName = "TR_ORDRE"; 
            externalType = NUMBER; 
            name = trOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (trOrdre); 
    className = "org.cocktail.fwkcktlgfcoperations.server.metier.operation.TypeReconduction"; 
    classProperties = (trLibelle, trCommentaire, trIdInterne); 
    externalName = "GFC.TYPE_RECONDUCTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_nameInObjectStore" = "TYPE_RECONDUCTION"; 
    }; 
    name = OpeTypeReconduction; 
    primaryKeyAttributes = (trOrdre); 
}
